Skip to main content
GET
/
v1
/
legal_holds
List legal holds
curl --request GET \
  --url https://api.notion.com/admin/v1/legal_holds \
  --header 'Authorization: Bearer <token>' \
  --header 'Notion-Version: <notion-version>'
import requests

url = "https://api.notion.com/admin/v1/legal_holds"

headers = {
    "Notion-Version": "<notion-version>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'Notion-Version': '<notion-version>', Authorization: 'Bearer <token>'}
};

fetch('https://api.notion.com/admin/v1/legal_holds', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "legal_holds": [
    {
      "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_time": 123,
      "id": "<string>",
      "start_date": 123,
      "user_interaction_type": [],
      "users": {
        "ids": [
          "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        ],
        "total": 123
      },
      "workspaces": {
        "ids": [
          "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        ],
        "total": 123
      },
      "description": "<string>",
      "end_date": 123,
      "icon": "<string>",
      "name": "<string>"
    }
  ],
  "next_cursor": "<string>"
}
{
  "type": "error",
  "code": "validation_error",
  "status": 400,
  "message": "The request body is invalid."
}
{
  "type": "error",
  "code": "unauthorized",
  "status": 401,
  "message": "Unauthorized."
}
{
  "type": "error",
  "code": "forbidden",
  "status": 403,
  "message": "Forbidden."
}
{
  "type": "error",
  "code": "not_found",
  "status": 404,
  "message": "Not found."
}
{
  "type": "error",
  "code": "rate_limited",
  "status": 429,
  "message": "Rate limited."
}
{
  "type": "error",
  "code": "internal_server_error",
  "status": 500,
  "message": "An unexpected error occurred."
}
The organization bot token must have the following scopes:
  • legal-hold:read
Returns all legal holds for your organization, both active and released.
The API does not guarantee a particular sort order for returned legal holds.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Notion-Version
enum<string>
required

The Admin API version to use for this request.

Available options:
2026-06-01

Query Parameters

start_cursor
string
user_id
string<uuid>

Response

next_cursor
string